org.apache.felix.ipojo.api

## Interface HandlerConfiguration

All Known Implementing Classes:
  Dependency, ExportedService, ImportedService, Instance, InstantiatedService, ProvidedService, Service, TemporalDependency

    public interface HandlerConfiguration

Common interfaces for all contributions.

Author:
  Felix Project Team

### Method Summary

All Methods Instance Methods Abstract Methods
`org.apache.felix.ipojo.metadata.Element` `getElement()` Gets the Handler description.

### Method Detail

#### getElement

    org.apache.felix.ipojo.metadata.Element getElement()

Gets the Handler description.

Returns:
  the Element-Attribute structure containing the handler configuration.